services:
  registry:
    image: registry:2
    volumes:
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/julien_docker_config/registry/auth:/auth
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/julien_docker_config/registry:/var/lib/registry
    environment:
      - REGISTRY_STORAGE_DELETE_ENABLED=true
      - REGISTRY_AUTH=htpasswd
      - REGISTRY_AUTH_HTPASSWD_REALM=Registry Realm
      - REGISTRY_AUTH_HTPASSWD_PATH=/auth/htpasswd
      - VIRTUAL_HOST=registry.mitscherlich.nl
      - VIRTUAL_PORT=5000
      - VIRTUAL_PROTO=http
    ports:
      - 5000:5000

  registrybrowser:
    image: klausmeyer/docker-registry-browser
    ports:
      - 8082:8080
    environment:
#      - 'DOCKER_REGISTRY_URL=https://registry.vbchaos.nl'
      - 'DOCKER_REGISTRY_URL=http://10.10.1.32:5000'
      - 'PUBLIC_REGISTRY_URL=registry.mitscherlich.nl'
      - 'NO_SSL_VERIFICATION=true'
      - 'ENABLE_DELETE_IMAGES=true'
      - 'SECRET_KEY_BASE=69f08e9e10d29269e2dfa7f2b18eab49bd55e0c627a9d11cdab490b97a84bc46cb51e0210b7c20f9dc4ff52bcb789c1b9ca1c655ca37cc3bf94edd1fd180ef30'
